Module org.apache.sis.portrayal
Package org.apache.sis.portrayal

# Enum Class TransformChangeEvent.Reason

Object
Enum<TransformChangeEvent.Reason>
Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<TransformChangeEvent​.Reason>`, `Constable`

Enclosing class:
  `TransformChangeEvent`

public static enum TransformChangeEvent.Reason extends Enum<TransformChangeEvent.Reason>
The reason why the "objective to display" transform changed. It may be because of canvas initialization, or an adjustment for a change of CRS without change in the viewing area, or a navigation for viewing a different area.

See Also:
  - `TransformChangeEvent​.getReason()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSIGNMENT`
  A new value has been assigned, overwriting the previous values.
  `CRS_CHANGE`
  A new value has been automatically computed for preserving the viewing area after a change of CRS.
  `DISPLAY_NAVIGATION`
  A relative change has been applied in units of display device (typically pixel units).
  `GRID_GEOMETRY_CHANGE`
  A new value has been assigned as part of a wider set of changes.
  `INTERIM`
  A relative interim change has been applied but is not yet reflected in the "objective to display" transform.
  `OBJECTIVE_NAVIGATION`
  A relative change has been applied in units of the objective CRS (for example in metres).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TransformChangeEvent​.Reason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransformChangeEvent​.Reason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRID_GEOMETRY_CHANGE

    public static final TransformChangeEvent.Reason GRID_GEOMETRY_CHANGE
    A new value has been assigned as part of a wider set of changes. It typically happens when the canvas is initialized.
    See Also:
      - `Canvas​.setGridGeometry(GridGeometry)`

  - ### CRS_CHANGE

    public static final TransformChangeEvent.Reason CRS_CHANGE
    A new value has been automatically computed for preserving the viewing area after a change of CRS. It typically happens when the user changes the map projection without moving to a different region.
    See Also:
      - `Canvas​.setObjectiveCRS(CoordinateReferenceSystem, DirectPosition)`

  - ### ASSIGNMENT

    public static final TransformChangeEvent.Reason ASSIGNMENT
    A new value has been assigned, overwriting the previous values. The objective CRS has not changed. It can be considered as a kind of navigation, moving to absolute coordinates and zoom levels.
    See Also:
      - `Canvas​.setObjectiveToDisplay(LinearTransform)`

  - ### OBJECTIVE_NAVIGATION

    public static final TransformChangeEvent.Reason OBJECTIVE_NAVIGATION
    A relative change has been applied in units of the objective CRS (for example in metres).
    See Also:
      - `PlanarCanvas​.transformObjectiveCoordinates(AffineTransform)`

  - ### DISPLAY_NAVIGATION

    public static final TransformChangeEvent.Reason DISPLAY_NAVIGATION
    A relative change has been applied in units of display device (typically pixel units).
    See Also:
      - `PlanarCanvas​.transformDisplayCoordinates(AffineTransform)`

  - ### INTERIM

    public static final TransformChangeEvent.Reason INTERIM
    A relative interim change has been applied but is not yet reflected in the "objective to display" transform. This kind of change is not fired by `PlanarCanvas` but may be fired by subclasses such as `MapCanvas`. That class provides immediate feedback to users with a temporary visual change before to perform more expensive rendering in background.

- ## Method Details

  - ### values

    public static TransformChangeEvent.Reason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransformChangeEvent.Reason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null